﻿@using SSCMvc.Models;
@using SSCMvc.Webutil;
@model IEnumerable<SSCMvc.Models.Ma_Area>
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
    SSCWebDBEntities1 db = new SSCWebDBEntities1();
}

<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        Area List
    </h1>
</div>
@section scripts{
                      <script src="~/Content/datatable/jquery.dataTables.min.js"></script>
                      <link href="~/Content/datatable/jquery.dataTables.css" rel="stylesheet" />
                      <script type="text/javascript">
        $(document).ready(function () {
            var lastIdx = null;
            var table = $('#example').DataTable();

            $('#example tbody')
                .on('mouseover', 'td', function () {
                    var colIdx = table.cell(this).index().column;

                    if (colIdx !== lastIdx) {
                        $(table.cells().nodes()).removeClass('highlight');
                        $(table.column(colIdx).nodes()).addClass('highlight');
                    }
                })
                .on('mouseleave', function () {
                    $(table.cells().nodes()).removeClass('highlight');
                });
        });
                      </script>
    <script type="text/javascript">

        deleterecord("Ma_Area");
    </script>
}
<ul class="breadcrumb">
    @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
    string refadd = CommonUtil.HomeAddress(utype);
    }
    <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
    <li class="active">Area</li>
</ul>
<div class="container-fluid">
    <div class="row-fluid">

        @{
            string error = "";
            string message = "";
            try
            {
                error = ViewBag.error;
            }
            catch (Exception ex)
            { }
            try
            {
                message = ViewBag.message;
            }
            catch (Exception ex)
            { }
            if (error != "" && error != null)
            {
                <div class="alert alert-danger">
                    <button type="button" class="close" data-dismiss="alert">
                        ×
                    </button>
                    @error
                </div>
            }
            if (message != "" && message != null)
            {
                <div class="alert alert-success">
                    <button type="button" class="close" data-dismiss="alert">
                        ×
                    </button>
                    @message
                </div>
            }



        }
        <div class="btn-toolbar">
            <div class="btn-group">
            </div>
        </div>
        <p class="datail_style">
            <table width="100%" align="center">
                <tr>
                    <td align="left" width="50%">
                        @Html.ActionLink("Create New", "Create")
                    </td>
                    <td align="right" width="50%">
                        Total: @ViewBag.TotalCount
                    </td>
                </tr>
            </table>
        </p>
        <div class="well">


            <table class="table" id="example">
                <thead>
                    <tr>
                        <th>
                            @Html.DisplayNameFor(model => model.Area)
                        </th>
                        <th>
                            City
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.Cdate)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.Status)
                        </th>
                        <th></th>
                    </tr>
                </thead>
                <tbody>
                    @foreach (var item in Model)
                    {
                        <tr>
                            <td>
                                @Html.DisplayFor(modelItem => item.Area)
                            </td>
                            <td>
                                @{
                                    string Cityname = db.MaCities.Where(x => x.Id == item.CityId).Select(x => x.CityName).FirstOrDefault();
                                }
                                @Cityname
                            </td>
                            <td>
                                @{
                                    string cdate = "";
                                    try
                                    {
                                        cdate = item.Cdate.Value.ToShortDateString();
                                    }
                                    catch (Exception ex)
                                    { }
                                }
                                @cdate
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.Status)
                            </td>
                            <td>
                                @Html.ImageActionLink("../../Content/themes/base/images/Edit.png", "Edit", "Edit", new { id = item.Id })|
                                @{

                                    int roleid = StaticLogic.RoleId();
                                    if (Permission.CheckPermission(roleid, CommonUtil.AddArea, UserAction.Delete) == true)
                                    {
                                        @Html.ImageActionLink("../../Content/themes/base/images/delete.png", "Delete", "Delete", "Ma_Area", new { id = item.Id }, new { @class = "delete-link" }, null)
                                    }
                                }
                                @Html.ImageActionLink("../../Content/themes/base/images/Detail.png", "Detail", "Details", new { id = item.Id })
                            </td>

                        </tr>
                                    }
                </tbody>
            </table>


        </div>
        <div id="delete-dialog" title="Confirmation">
            <p>
                Are You Sure you want to delete this
            </p>
        </div>
    </div>
</div>
